Index: zaptel.init
===================================================================
--- zaptel.init	(revision 2344)
+++ zaptel.init	(working copy)
@@ -153,6 +153,7 @@
 	for x in $MODULES; do 
 		if modprobe ${x} ${ARGS} >& /dev/null; then
 			echo -n " $x"
+			echo "."
 		fi
 	done
 	sleep 3 # TODO: remove it
@@ -175,6 +176,39 @@
 	RETVAL=$?
 
 	[ $RETVAL -eq 0 ] && touch $LOCKFILE
+
+	# HPEC license found
+	if [ x`find /var/lib/digium/licenses/ -maxdepth 1 -name HPEC-\*.lic -printf yes -quit` = xyes ]; then
+		# zaphpec_enable not installed in /usr/sbin
+		if [ ! -f /usr/sbin/zaphpec_enable ]; then
+			echo -n "Running zaphpec_enable: Failed"
+			echo -n "."
+			echo "  The zaphpec_enable binary is not installed in /usr/sbin."
+		else
+			# zaphpec_enable not set executable
+			if [ ! -x /usr/sbin/zaphpec_enable ]; then
+				echo -n "Running zaphpec_enable: Failed"
+				echo -n "."
+				echo "  /usr/sbin/zaphpec_enable is not set executable."
+			else
+				# zaphpec_enable properly installed
+				if [ $system = debian ]; then
+					echo -n "Running zaphpec_enable: "
+					/usr/sbin/zaphpec_enable >& /dev/null
+				elif [ $system = redhat ]; then
+					action "Running zaphpec_enable: " /usr/sbin/zaphpec_enable
+				fi
+				if [ $? = 0 ]; then
+					echo -n "done"
+					echo "."
+				else
+					echo -n "Failed"
+					echo -n "."
+					echo "  This can be caused if you had already ran zaphpec_enable, or if your HPEC license is no longer valid."
+				fi
+			fi
+		fi
+	fi
 	;;
   stop)
 	# Unload drivers
